#constituencyView {
    background: white;
    position: relative; /*important for absolute positioning of contextmenu in child div*/
}

#constituencyViewCanvasContainer {
    position: relative; /*important for absolute positioning of contextmenu in child div*/
    height: 100%;
}

.konvajs-content {
    margin: 0 auto;
}

#advice {
    position: absolute;
    top: 5px;
    right: 5px;
    padding: 5px;
    margin: 0;
    background: #D0D0D0;
    border-radius: 3px;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, .2);
    text-align: center;
}

#constituencyViewContextmenu {
    display: none;
    position: absolute;
    width: 200px;
    padding: 2px;
    margin: 0;
    border: 1px solid #bbb;
    background: white;
    z-index: 100;
    border-radius: 3px;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, .2);
    transition: transform 0.1s ease-out, opacity 0.1s ease-out;
}

.contextmenuButton {
    background: white;
    position: relative;
    display: block;
    width: 100%;
    font-size: 13px;
    text-align: left;
    margin: 0;
    white-space: nowrap;
    border: 1px solid transparent;
    padding: 6px 8px;
    padding-left: 25px;
    border-radius: 3px;
}

#constituencyViewContextmenu button:hover {
    border: 1px solid #2E3940;
    background: -webkit-linear-gradient(to bottom, #23C2FF, dodgerblue);
    background: linear-gradient(to bottom, #23C2FF, dodgerblue);
}